Installering af Debian 6.0.10

Debian 6.0 er blevet erstattet af Debian 7.0 (wheezy). Nogle af disse installeringsaftryk er måske ikke længere tilgængelige, eller fungerer ikke mere, og det anbefales at du installerer squeeze i stedet.

For at installere Debian 6.0.10 (squeeze), hent et hvilket som helst af følgende aftryksfiler:

Blu-ray (via jigdo)

Hvis noget af hardware på dit system kræver at ikke-fri firmware indlæses sammen med enhedens driver, så kan du anvende en tarballfil med gængse firmwarepakker eller hente et ikke-offcielt aftryk, der indeholder disse ikke-frie firmwarefiler. Vejledning i hvordan man anvender tarballfilerne og generelle oplysninger om indlæsning af firmware under en installering, finder man i Installeringshåndbogen (se afsnittet Dokumentation herunder).

netinst (generelt 175-240 MB) ikke-frie cd-aftryk med firmware

Bemærkninger

Dokumentation

Hvis du kun læser ét dokument før installeringen, så læs Installerings-howto'en, som er en hurtig gennemgang af installeringsprocessen. Anden nyttig dokumentation er blandt andet:

Fejl

Her følger en liste over kendte problemer i installeringsprogrammet, som følger med Debian 6.0.10. Hvis du er løbet ind i et problem med at installere Debian og det ikke optræder på denne liste, så send os en installeringsrapport, der på engelsk beskriver problemet eller kig på wikien for andre kendte problemer.

Fejl i 6.0-udgaven

Der kan ikke installeres på nogle sparc-systemer vha. cd-rom
Debian Installer til Squeeze indeholder ikke PATA-kernedrivere, hvilket gør det umuligt at fuldføre installeringen fra cd-medier på systemer, der kræver disse drivere for at tilgå cd-rom-drevet (for eksempel Ultra 10), der installeringsprogrammet ikke kan genkende det. Problemet kan omgås ved at netboote installeringsprogrammet, hvilket eliminerer behovet for at tilgå cd-rom-drevet under installeringen.
Se #610906.
Det vil blive rettet i forbindelse med den næste punktopdatering af Squeeze (6.0.1).
Mulig ikke-fungerende, genkendte USB-braille-enheder
Når man lader Debian Installer genkende en tilslutte USB-braille-enhed, vil denne måske ende med kun at vise screen not in text mode (skærmen er ikke i teksttilstand). Det skyldes et potentielt kapløb mellem genkendelse og start af framebuffer. En omgåelse af problemet, er at angive brltty på kernens kommandolinje, for at gennemtinge genkendelsen.
Se #611648.
Ingen netværksdriver til Sparc T2+
niu-netværksdriveren, som er krævet af nyere T2+-sparc-systemer er ikke indeholdt i d-i, hvilket gør det muligt at installere på dem ved hjælp af enhver metode, som er afhængig af tidlig netværksopsætning. Driveren er indeholdt i kernepakkerne, hvorfor netværket forventes at fungere normalt efter installeringen er gennemført.
Se #608516.
Systemer, der anvender aty-grafikkort kan måske ikke boote installeringsprogrammet på korrekt vis
Systemer, der anvender aty-grafikkort (for eksempel Ultra 10) booter måske ikke installeringsprogrammet på korrekt vis, da kernen fryser tidligt i bootprocessen med en sidste meddelelse console [tty0] enabled, bootconsole disabled. Det er en kernefejl, hvortil der er en tilgængelig rettelse/patch, men det er måske ikke helt løst.
Problemet kan omgås ved at tilføje et kernebootparameter video=atyfb:off for at deaktivere framebufferen under boot, hvilket gør det muligt for installeringsprogrammet (og kernen selv) at boote på sådanne systemer.
Se #609466.
Tastaturvalg, med grafisk installeringsprogram, fungerer ikke med visse tastaturudlægninger
Forvalg af tastatur fungerer ikke med grafiske installeringer med visse kombinationer (bulgarsk, schweizer-tysk, svensk og brasiliansk). Desuden anvendes valget ikke, og systemet anvender som standard amerikansk-engelsk (/etc/default/keyboard).
Se #610843.
Potentielle installeringsproblemer med RTL8169-baserede netværkskort
Debian Installer kan måske ikke anvende netværkskort baseret på RTL8169-familien under installeringen, hvilket omfatter hentning af pakker under installeringsprocessen via disse kort. Det installerede system er ikke påvirket af problemet.
Se #558316 og tilsvarende indflettede fejl.
Det vil blive rettet i forbindelse med den næste punktopdatering af Squeeze (6.0.1).
Kan ikke boote efter en vellykket installering på en btrfs-root
Installeringen afslutter som normalt, men efter en genstart medfører det en initramfs-busybox-prompt.
Se #608538.
Windows føjes ikke til grubs liste
Debian Installer genkender Windows under installeringen, men tilføjer det ikke til grubs bootmenu. En omgåelse, efter installeringen, er at køre update-grub.
Se #608025.
Danner partitionstabel som er inkompatibel med Mac OS 9
Der er modtaget en rapport om at partitioneringsværktøjet i installeringsprogrammet danner en partitionstabel som ikke genkendes af Mac OS 9, som ikke længere booter. Selv om HFS+-partitionerne er kompatible med Linux og Mac OS X, anbefales det at tage alle sikkerhedsforanstaltninger når man installerer på en maskine med Mac OS 9.
Se #604134.
Partitionering fejler på kFreeBSD
Der er modtaget rapporter omat partitionerne fejler på kFreeBSD. Problemet lader til at være relateret til partitionsjustering / udvidede partitioner.
Se #593733, #597088 og #602129.
Netværks-/grafik-/storagekort fungerer ikke korrekt
Der er flere former for hardware, især netværkskort, grafikkort og storagecontrollere, som kræver binær ikke-fri firmware for at fungere korrekt.
Debians har en målsætning om at leve op til fri softwares værdier og kræver aldrig ikke-fri software på et system (se Debians Sociale kontrakt). Derfor er ikke-fri firmware ikke indeholdt i installeringsprogrammet.
Men hvis du ønsker at indlæse ekstern firmware under installeringen, står det dig frit for at gøre det. Processen er dokumenteret i installeringshåndbogen.
zipl-installeringsproblem der gør det umuligt at installere på s390
Hvis en dedikeret partition til /boot-mappe er oprettet, fejler systemboot efter installeringen, hvis /boot mountes før /.
Se #519254.
Fejlfyldte routere kan forårsage netværksproblemer
Hvis du oplever netværksproblemer under installeringen, kan det være forårsaget af en router et eller andet sted mellem dig og Debian-filspejlet, som ikke på korrekt vis håndterer window-scaling. Se #401435 og denne artikel i kerneltrap for flere oplysninger.
Problemet kan omgås ved at deaktivere TCP-window-scaling. Aktiver en shell og indtast følgende kommando:
echo 0 > /proc/sys/net/ipv4/tcp_window_scaling
På det installerede system bør du formentlig ikke helt deaktivere TCP-window-scaling. Følgende kommando opsætter intervaller til læsning og skrivning, der skulle fungere med næsten enhver router:
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_rmem
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_wmem
Partitioner over 16TiB er ikke understøttet af ext4
Værktøjerne til oprettelse af filsystemet ext4 understøtter ikke oprettelse af filsystemer som er større end 16TiB.
s390: ikke-understøttet funktionalitet
  • i øjeblikket er understøttelse af DASD DIAG-discipline ikke tilgængelig